NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Tooling::SectionLineCreationBuilder Class Reference

Represents a NXOpen::Tooling::SectionLineCreationBuilder which is used to create or edit the section line creation. More...

Inheritance diagram for NXOpen::Tooling::SectionLineCreationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::LineCreateTemporaryLine (const NXOpen::Point3d &pointData, const NXOpen::Vector3d &direction)
 Create temporary line. More...
 
void PointSubFunction ()
 Define the cut segment position
Created in NX8.5.0. More...
 
void RemoveAll (const std::vector< NXOpen::Line * > &curveList)
 Remove all cut segments
Created in NX8.5.0. More...
 
void RemoveLast (NXOpen::Line *curveTag)
 Remove the last cut segment
Created in NX8.5.0. More...
 
void ReverseVector ()
 Reverse vector direction
Created in NX8.5.0. More...
 
NXOpen::PointSelectPoint ()
 Returns the pnt select point
Created in NX8.5.0. More...
 
void SetSelectPoint (NXOpen::Point *pntSelectPoint)
 Sets the pnt select point
Created in NX8.5.0. More...
 
void SetVectorDefineDirection (NXOpen::Direction *vectorDefineDirection)
 Sets the vector direction
Created in NX8.5.0. More...
 
NXOpen::DirectionVectorDefineDirection ()
 Returns the vector direction
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::SectionLineCreationBuilder which is used to create or edit the section line creation.


To create a new instance of this class, use NXOpen::Tooling::ToolingDrawingCollection::CreateSectionLineCreationBuilder

Created in NX8.5.0.

Member Function Documentation

NXOpen::Line* NXOpen::Tooling::SectionLineCreationBuilder::CreateTemporaryLine ( const NXOpen::Point3d pointData,
const NXOpen::Vector3d direction 
)

Create temporary line.

Returns

Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
pointDatapointdata
directiondirection
void NXOpen::Tooling::SectionLineCreationBuilder::PointSubFunction ( )

Define the cut segment position
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SectionLineCreationBuilder::RemoveAll ( const std::vector< NXOpen::Line * > &  curveList)

Remove all cut segments
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveListcurvelist
void NXOpen::Tooling::SectionLineCreationBuilder::RemoveLast ( NXOpen::Line curveTag)

Remove the last cut segment
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveTagcurvetag
void NXOpen::Tooling::SectionLineCreationBuilder::ReverseVector ( )

Reverse vector direction
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Point* NXOpen::Tooling::SectionLineCreationBuilder::SelectPoint ( )

Returns the pnt select point
Created in NX8.5.0.



License requirements : None

void NXOpen::Tooling::SectionLineCreationBuilder::SetSelectPoint ( NXOpen::Point pntSelectPoint)

Sets the pnt select point
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
pntSelectPointpntselectpoint
void NXOpen::Tooling::SectionLineCreationBuilder::SetVectorDefineDirection ( NXOpen::Direction vectorDefineDirection)

Sets the vector direction
Created in NX8.5.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
vectorDefineDirectionvectordefinedirection
NXOpen::Direction* NXOpen::Tooling::SectionLineCreationBuilder::VectorDefineDirection ( )

Returns the vector direction
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.